#ifndef __ACTTESTRUNNERMFC_PRIVATE_H__
#define __ACTTESTRUNNERMFC_PRIVATE_H__

#ifdef	__cplusplus
//extern "C" {
#endif

struct __ITestRunnerMfc {
	ITestRunnerMfcVtbl *pvt;

// protected member data
    ITestSuite *m_suite_;
    ITestList *m_lstTest__;
};

static void __ITestRunnerMfc_startTest(ITestListener* self,ITest* test);
static void __ITestRunnerMfc_endTest(ITestListener* self,ITest* test);
static void __ITestRunnerMfc_addFailure(ITestListener* self,ITest* test,char* msg,int line,char* file);

static void __ITestRunnerMfc_start(ITestRunnerMfc* pme);
static void __ITestRunnerMfc_addTest(ITestRunnerMfc* pme, ITest* test);
static void __ITestRunnerMfc_runTest(ITestRunnerMfc* pMe);
static void __ITestRunnerMfc_end(ITestRunnerMfc* pme);

ITestRunnerMfc*    ITestRunnerMfc_Alloc();
void            ITestRunnerMfc_Free(ITestRunnerMfc* pMe);

ITestRunnerMfc*    ITestRunnerMfc_Ctor(ITestRunnerMfc* pme);
void            ITestRunnerMfc_Xtor(ITestRunnerMfc* pMe);

#ifdef	__cplusplus
//}
#endif

#endif /*  __ACTTESTRUNNERMFC_PRIVATE_H__ */
